<?php
include('configuracion.php');
require_once ('lib/class.phpmailer.php');

if (!$carro) {
	header("Location:".WEB."home");
	exit;
}

$_POST['nombre'] = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$_POST['email'] = isset($_POST['email']) ? $_POST['email'] : NULL;
$_POST['telefono'] = isset($_POST['telefono']) ? $_POST['telefono'] : NULL;
$_POST['rut'] = isset($_POST['rut']) ? $_POST['rut'] : NULL;
$_POST['rut_empresa'] = isset($_POST['rut_empresa']) ? $_POST['rut_empresa'] : NULL;
$_POST['razon'] = isset($_POST['razon']) ? $_POST['razon'] : NULL;
$_POST['giro'] = isset($_POST['giro']) ? $_POST['giro'] : NULL;
$_POST['direccion_comercial'] = isset($_POST['direccion_comercial']) ? $_POST['direccion_comercial'] : NULL;
$_POST['region'] = isset($_POST['region']) ? $_POST['region'] : NULL;
$_POST['comuna'] = isset($_POST['comuna']) ? $_POST['comuna'] : NULL;
$_POST['direccion'] = isset($_POST['direccion']) ? $_POST['direccion'] : NULL;
$_POST['forma_despacho'] = isset($_POST['forma_despacho']) ? $_POST['forma_despacho'] : NULL;
$_POST['documento'] = isset($_POST['documento']) ? $_POST['documento'] : NULL;
$_POST['entrega'] = isset($_POST['entrega']) ? $_POST['entrega'] : NULL;
$_POST['forma_pago'] = isset($_POST['forma_pago']) ? $_POST['forma_pago'] : NULL;
$_POST['informacion'] = isset($_POST['informacion']) ? $_POST['informacion'] : NULL;



// Limpiamos los datos recibidos
$nombre = funcion::limpiar($_POST['nombre']);
$email = funcion::limpiar($_POST['email']);
$telefono = funcion::limpiar($_POST['telefono']);
$rut = funcion::limpiar($_POST['rut']);
$rut_empresa = funcion::limpiar($_POST['rut_empresa']);
$razon = funcion::limpiar($_POST['razon']);
$giro = funcion::limpiar($_POST['giro']);
$direccion_comercial = funcion::limpiar($_POST['direccion_comercial']);
$region = funcion::limpiar($_POST['region']);
$comuna = funcion::limpiar($_POST['comuna']);
$direccion = funcion::limpiar($_POST['direccion']);
$forma_despacho = funcion::limpiar($_POST['forma_despacho']);
$documento = funcion::limpiar($_POST['documento']);
$entrega = funcion::limpiar($_POST['entrega']);
$forma_pago = funcion::limpiar($_POST['forma_pago']);
$informacion = funcion::limpiar($_POST['informacion']);
$email = strtolower($email);
$rut = funcion::limpiaRUT($rut);
$nombre_completo = $nombre.' '.$apellido;

$rut = funcion::formateaRUT($rut);
$rut = str_replace('k','K',$rut);
$rut_empresa = funcion::limpiaRUT($rut_empresa);
$rut_empresa = funcion::formateaRUT($rut_empresa);
$rut_empresa = str_replace('k','K',$rut_empresa);

// Asignamos el resto de las variables

$estado = 0;
$estado_pago = 0;

$fecha = date('Y-m-d H:i:s');
$fecha_castellano = date('d-m-Y | H:i a');
$despacho = 0;
if($forma_despacho=='Metropolitana'){$despacho=4500;}
$subtotal = 0;
$total = 0;
$id_productos = FALSE;
$cant_productos = FALSE;
$precio_productos = FALSE;

// Extraemos los datos de la compra		
		foreach($carro as $k => $v){
			
			$id_productos.=','.$v['id_producto'];
			$cant_productos.=','.$v['cantidad'];
			$precio_productos.=','.$v['precio'];
			$tipo_productos.=','.$v['tipo'];
			$subtotal = ($v['precio']*$v['cantidad']);
			$total = $total + $subtotal;
		}

$total = $total+$despacho;

// INSERTAMOS EN LA BD
$datos = array(
	'fecha' => $db->string($fecha),
	'documento' => $db->string($documento),
	'nombre_completo' => $db->string($nombre),
	'email' => $db->string($email),
	'telefono' => $db->string($telefono),
	'rut' => $db->string($rut),
	'region' => @$region+0,
	'comuna' => @$comuna+0,
	'direccion' => $db->string($direccion),
	'forma_despacho' => $db->string($forma_despacho),
	'forma_pago' => $db->string($forma_pago),
	'estado' => @$estado+0,
	'estado_pago' => @$estado_pago+0,
	'id_productos' => $db->string($id_productos),
	'cant_productos' => $db->string($cant_productos),
	'precio_productos' => $db->string($precio_productos),
	'despacho' => @$despacho+0,
	'total' => @$total+0
);

$db->insert('compras',$datos);
$id_compra = $db->UltimoId('compras');

				// Leemos los datos de la compra
				$compra = $db->row('compras','*',"id='{$id_compra}'");

                $id_compra				= $compra->id;
                $tipo					= $compra->tipo;
                $tipo_despacho			= $compra->tipo_despacho;
                $nombre					= $compra->nombre_completo;
                $rut					= $compra->rut;
                $rut_empresa			= $compra->rut_empresa;
                $email					= $compra->email;
                $telefono				= $compra->telefono;
                $razon					= $compra->razon;
                $giro					= $compra->giro;
                $direccion_comercial	= $compra->direccion_comercial;
                $envio_pais				= $compra->envio_pais;
                $envio_region			= $compra->envio_region;
                $envio_comuna			= $compra->envio_comuna;
                $envio_direccion		= $compra->envio_direccion;
                $despacho				= $compra->despacho;
                $fecha					= funcion::cambiar_fecha($compra->fecha, 'D/F/Y');
                $total_compra			= $compra->total;
				
				$fecha_castellano = date('d-m-Y | H:i a');

				// LEEMOS LOS NOMBRES DE LA REGION Y LA COMUNA
				$n_region = $db->getVar('regiones','nombre',"id='{$envio_region}'");
				$n_comuna = $db->getVar('comunas','nombre',"id='{$envio_comuna}'");
				

////////////////////////////
// PAGO POR TRANSFERENCIA //
////////////////////////////

if ($forma_pago=='Transferencia') {

	require_once "emails/email-transferencia-administrador.php";
	require_once "emails/email-transferencia-usuario.php";

header("Location:carro-transferencia-exito/".$id_compra);
exit;
} // FINAL CASO TRANSFERENCIA
/////////////////////////////////////////

/////////////////////
// PAGO POR WEBPAY //
/////////////////////

if ($forma_pago=='Webpay') {

	// Enviamos a Webpay
	?>
	<form method="POST" action="<?php echo WEB ?>cgi-bin/tbk_bp_pago.cgi" name="FORM_WEBPAY">
	
	  <INPUT TYPE="hidden" NAME="TBK_TIPO_TRANSACCION"  VALUE="TR_NORMAL"> 
	  <INPUT TYPE="hidden" NAME="TBK_MONTO" VALUE="<?php echo ((round($compra->total))*100);?>">
	  <INPUT TYPE="hidden" NAME="TBK_ORDEN_COMPRA" VALUE="<?php echo $compra->id ?>">
	  <INPUT TYPE="hidden" NAME="TBK_ID_SESION" VALUE="<?php echo $compra->id ?>">
	
	  <INPUT TYPE="hidden" NAME="TBK_URL_EXITO" VALUE="<?php echo WEB ?>carro-webpay-exito.php">
	  <INPUT TYPE="hidden" NAME="TBK_URL_FRACASO" VALUE="<?php echo WEB ?>carro-webpay-fracaso.php">
	
	</form>
	<script language="JavaScript">
	 document.FORM_WEBPAY.submit();
	</script>
<?php exit;
} // FINAL CASO WEBPAY
/////////////////////////////////////////
?>