<?php
// Comprobamos que efectivamente se hayan enviado datos desde el formulario
if(!@$_POST) exit();

include('configuracion.php');

// Limpiamos los datos recibidos
$_POST['motivo'] = isset($_POST['motivo']) ? $_POST['motivo'] : NULL;
$_POST['nombre'] = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$_POST['email'] = isset($_POST['email']) ? $_POST['email'] : NULL;
$_POST['telefono'] = isset($_POST['telefono']) ? $_POST['telefono'] : NULL;
$_POST['pais'] = isset($_POST['pais']) ? $_POST['pais'] : NULL;
$_POST['direccion'] = isset($_POST['direccion']) ? $_POST['direccion'] : NULL;
$_POST['mensaje'] = isset($_POST['mensaje']) ? $_POST['mensaje'] : NULL;

$motivo = funcion::limpiar($_POST['motivo']);
$nombre = funcion::limpiar($_POST['nombre']);
$nombre_completo = $nombre;
$slug = funcion::slug($nombre_completo);

$email = funcion::limpiar($_POST['email']);
$email = strtolower($email);

$telefono = funcion::limpiar($_POST['telefono']);

$pais = funcion::limpiar($_POST['pais']);
$direccion = funcion::limpiar($_POST['direccion']);

$mensaje = funcion::limpiar($_POST['mensaje']);
$mensaje = str_replace('\r\n','<br>',$mensaje);


// Asignamos el resto de las variables
$fecha = date('Y-m-d H:i:s');
$fecha_castellano = date('d-m-Y | H:i a');

$n_pais = $db->getVar('paises','nombre',"id='{$pais}'");


	// Incluimos la clase PHPMailer
	require "lib/class.phpmailer.php";

	require_once "emails/email-contacto-administrador.php";
	
	require_once "emails/email-contacto-usuario.php";
	
		// INSERTAMOS EN LA BD
		$datos = array(
			'fecha' => $db->string($fecha),
			'slug' => $db->string($slug),
			'motivo' => $db->string($motivo),
			'nombre' => $db->string($nombre),
			'nombre_completo' => $db->string($nombre_completo),
			'email' => $db->string($email),
			'telefono' => $db->string($telefono),
			'pais'  => @$pais+0,
			'direccion' => $db->string($direccion),
			'mensaje' => $db->string($mensaje)
		);
		
		$db->insert('contactos',$datos);

header("Location:contacto-exito");
exit;
?>