<?php
include('configuracion.php');
$pag_actual='home';
?>
<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title><?php echo TITLE ?></title>
    <meta name="author" content="">   
    <!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    
    <!-- Favicons -->
    <link rel="shortcut icon" href="favicon/favicon.ico" />
    <link rel="apple-touch-icon" sizes="57x57" href="favicon/apple-touch-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="favicon/apple-touch-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="favicon/apple-touch-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="favicon/apple-touch-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="favicon/apple-touch-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="favicon/apple-touch-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="favicon/apple-touch-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="favicon/apple-touch-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="favicon/apple-touch-icon-180x180.png">
    <link rel="icon" type="image/png" href="favicon/favicon-32x32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="favicon/favicon-194x194.png" sizes="194x194">
    <link rel="icon" type="image/png" href="favicon/favicon-96x96.png" sizes="96x96">
    <link rel="icon" type="image/png" href="favicon/android-chrome-192x192.png" sizes="192x192">
    <link rel="icon" type="image/png" href="favicon/favicon-16x16.png" sizes="16x16">
    <link rel="manifest" href="favicon/manifest.json">
    <meta name="msapplication-TileColor" content="#000000">
    <meta name="msapplication-TileImage" content="favicon/mstile-144x144.png">
    <meta name="theme-color" content="#ffffff">
    
    <!-- CSS -->
    <link rel="stylesheet" href="css/estilo.css">
    <link rel="stylesheet" href="css/grid.css">
    <link href="css/style.css" rel="stylesheet" type="text/css" />
    
    <!-- Jquery -->
	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
    
    <!-- respondive -->
    <link rel="stylesheet" href="css/style.css">
    <script src="js/modernizr.js"></script>
    <script src="js/jquery.menu-aim.js"></script>
    <script src="js/main.js"></script>
    
    <!-- Menu -->
    <link href="css/estilo-menu.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="fancybox/jquery.fancybox.css?v=2.1.5" type="text/css" />
    <script src="fancybox/jquery.fancybox.pack.js?v=2.1.5"></script>
    <script>
    $(document).ready(function() {
        $.getJSON('http://mindicador.cl/api', function(data) {
        var dailyIndicators = data;
        $('#euro').text("$ "+dailyIndicators.euro.valor);
    }).fail(function() {
        console.log('Error al consumir la API!');
    });
        $('.abrir_evento').fancybox({
            fitToView	: false,
            maxHeight	: 600,
            width		: '1200px',
            height		: '600px',
            autoSize	: false,
            closeClick	: true,
            openEffect	: 'none',
            closeEffect	: 'none'
        });
    
            $(".fancybox").fancybox({
                    'transitionOut'	: 'elastic',
                        'width'				: '65%',
                        'height'			: '65%',
            });
            $(".fancybox").click();
    
    });
    </script>
    
    <link rel="stylesheet" href="font/css/fontello.css">
    <link rel="stylesheet" href="font/css/animation.css"><!--[if IE 7]><link rel="stylesheet" href="css/fontello-ie7.css"><![endif]-->
    <script>
      function toggleCodes(on) {
        var obj = document.getElementById('icons');
        
        if (on) {
          obj.className += ' codesOn';
        } else {
          obj.className = obj.className.replace(' codesOn', '');
        }
      }
      
    </script>
    
    <!-- Nivo -->
    <link href="css/nivo-slider.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="css/themes/default/default.css" type="text/css" />
    <script type="text/javascript" src="js/jquery.nivo.slider.pack.js"></script>

    <script type="text/javascript">
    $(window).load(function() {
        $('#slider').nivoSlider({
	        effect: 'fade',
			pauseTime: 80000,
        });
    });

    </script>
    <!-- Nivo -->
    
</head>

<body>

	<?php include("inc/inc-head.php"); ?>
    <!-- fin header -->
    
    <section id="slide">
        <div class="slider-wrapper theme-default"> 
            <div class="ribbon"></div> 
            <div id="slider" class="nivoSlider">
                    <?php
                    $slides = $db->results('slider','imagen,id',"estado='1'",'orden DESC','10');
                    if(count($slides)){
                        $n=1;
                        foreach($slides as $slide){
                            ?>
                        <img src="<?php echo WEB ?>imagenes/slider/<?php echo $slide->imagen ?>" title="#caption-slide<?php echo $slide->id ?>"/>
                    <?php } $n=$n+1; } ?>
             </div>

                 <?php
                 $slides = $db->results('slider','*',"estado='1'",'orden DESC','10');
                 if(count($slides)){
                    $n=1;
                    foreach($slides as $slide){
                        ?>
                        <div id="caption-slide<?php echo $slide->id ?>" class="nivo-html-caption">
                            <div class="contenedor-caption">
                                <h1 class="w-80"><?php echo $slide->titulo?></h1>
                                <?php if(!empty($slide->frase)) { ?>
                                <p><?php echo $slide->frase?></p>
                                <?php } ?>
                                <div class="alt-30 f-l"></div>
                                <?php if(!empty($slide->enlace)) { ?>
                                <a href="<?php echo $slide->enlace ?>" target="<?php echo $slide->destino ?>" class="btn-slide">Ver más</i></a>
                                <?php } ?>
                            </div>
                        </div>
                <?php } $n=$n+1; } 
                ?>
        </div>
    </section>
    <!-- Fin #slide-->
    
    <section class="container">
    	<div class="cont-1200 f-c">
        	<div class="col-6 f-l m-1">
            	<a href="<?php echo WEB ?>productos" class="banner">
                	<img src="<?php echo WEB ?>imagenes/bg-banner1.jpg" alt=""/>
                    <h4>La expeciencia<br/> de probar un <br/> buen té.</h4>
                    <p>Lorem ipsum dolor sit amet con <br/>secetuer adipiscing laoreet dolore <br/>magna luptatum.</p>
                </a>
                <div class="espacio-20 f-l"></div>
            </div>
            <div class="col-6 f-l m-1">
            	<article class="mid-banner">
                	<img src="<?php echo WEB ?>imagenes/bg-banner2.jpg" alt=""/>
                    <h3>Dónde estamos</h3>
                    <a href="#" target="_blank">Ver ubicación</a>
                </article>
                <div class="espacio-20 f-l"></div>
                <a href="<?php echo WEB ?>productos" class="mid-banner">
                	<img src="<?php echo WEB ?>imagenes/bg-banner3.jpg" alt=""/>
                    <h3 class="hack-txt">Calidad</h3>
                    <p>Lorem ipsum dolor sit amet consecer adipiscing<br/> laoreet dolore magna.</p>
                </a>
                <div class="espacio-20 f-l"></div>
            </div>
    </section>
    
    <section class="container">
    	<div class="espacio-20 f-l"></div>
        <div class="espacio-20 f-l"></div>
        
    	<div class="cont-1200 f-c">
        
        	<div class="big-title">
            	<h2>Productos Destacados</h2>
            </div>
        <?php
        $productos = $db->results('productos','*',"estado='1' AND destacado='1'",'rand()','4');
            if(count($productos)){
                foreach($productos as $producto){
                    $slug_categoria = $db->getVar('categorias','slug',"id='{$producto->categoria}'");
        ?>            
            <a href="<?php echo WEB.'productos/'.$producto->slug ?>" class="col-3 f-l hack-mid">
            	<div class="producto">
                	<img src="<?php echo WEB ?>imagenes/productos/<?php echo $producto->recorte ?>" alt=""/>
                    <h4><?php echo $producto->titulo ?></h4>
                    <p><strong>$<?php echo funcion::formatoPrecio($producto->precio) ?>.-</strong></p>
                </div>
            </a>
        <?php
                }
            }
        ?>
    	</div>
    </section>
    
    <?php include("inc/inc-foot.php"); ?>
    <!-- fin footer -->
    
</body>
</html>