<?php
include('../../configuracion.php');   

if (!isset($_SESSION['administrador_mago_id'])){	
	 header('Location:'.MAGO.'/index.php');
	 exit;
	 }	

if (($_SESSION['administrador_mago_nivel']!='1' ) ){	
	 header('Location:'.MAGO.'/inicio.php');
	 exit;
	 }

///////////////////////////////////////////////////////

$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$cargo = isset($_POST['cargo']) ? $_POST['cargo'] : NULL;
$email = isset($_POST['email']) ? $_POST['email'] : NULL;
$texto = isset($_POST['texto']) ? $_POST['texto'] : NULL;
$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;

$nombre = funcion::LimpiaComillaSimple($nombre);
$cargo = funcion::LimpiaComillaSimple($cargo);
$email = funcion::LimpiaComillaSimple($email);
$texto = funcion::LimpiaComillaSimple($texto);

// ============================

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'nombre'			=> $db->string($nombre),
			'cargo'				=> $db->string($cargo),
			'email'				=> $db->string($email),
			'texto'				=> $db->string($texto,html),
			'estado'			=> @$estado+0,
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha_ingreso),
			'fecha_edicion'		=> $db->string($fecha_ingreso)
		);

		$db->insert('equipo',$datos);
		$id = $db->UltimoId('equipo');

		if (!empty($id)) {
			$mensaje_respuesta = 'El equipo fue agregado de forma correcta.';
			$url_respuesta = 'equipo.php';
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar el equipo.';
			$url_respuesta = 'equipo.php';
		}

		// Creamos el Slug
		$slug = $id.'-'.funcion::slug($nombre);

		// Subimos a la base de datos
		$datos_slug = array(
			'orden'		=> @$id+0,
			'slug'		=> $db->string($slug)
		);		
		$db->update('equipo',$datos_slug,"id='$id'");
		

		// ======PROCESAMOS IMAGEN 1 =======
		// ========================================
		
		// Incluimos la clase Upload
		include_once 'class.upload.php';
		
		$imagen = new upload($_FILES['imagen_nueva']);
		
		// Comprobamos si se subió la imagen
		  if ($imagen->uploaded) {
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $slug;
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 400; /* Ancho */
			  $imagen->image_y					= 350; /* Alto */
			  
			  $imagen->process('../../imagenes/equipo/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('equipo',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======


echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>