<?php
include('../../configuracion.php');   

if (!isset($_SESSION['administrador_mago_id'])){	
	 header('Location:'.MAGO.'/index.php');
	 exit;
	 }	

if (($_SESSION['administrador_mago_nivel']!='1' ) ){	
	 header('Location:'.MAGO.'/inicio.php');
	 exit;
	 }

///////////////////////////////////////////////////////

$categoria = isset($_POST['categoria']) ? $_POST['categoria'] : NULL;
$subcategoria = isset($_POST['subcategoria']) ? $_POST['subcategoria'] : NULL;
$titulo = isset($_POST['titulo']) ? $_POST['titulo'] : NULL;
$texto = isset($_POST['texto']) ? $_POST['texto'] : NULL;
$precio = isset($_POST['precio']) ? $_POST['precio'] : NULL;
$stock = isset($_POST['stock']) ? $_POST['stock'] : NULL;
$url_video = isset($_POST['url_video']) ? $_POST['url_video'] : NULL;
$destacado = isset($_POST['destacado']) ? $_POST['destacado'] : NULL;
$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;

$titulo = funcion::LimpiaComillaSimple($titulo);
$texto = funcion::LimpiaComillaSimple($texto);

// ============================
	if (!empty($url_video)){
		include('video_plugin.php');
		$info_video = $video->info($url_video);
		$id_video = $info_video['video_id'];
		$host_video = $info_video['video_type'];
	}
// ============================

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'titulo'			=> $db->string($titulo),
			'texto'				=> $db->string($texto,html),
			'url_video'			=> $db->string($url_video),
			'id_video'			=> $db->string($id_video),
			'host_video'		=> $db->string($host_video),
			'categoria'			=> @$categoria+0,
			'subcategoria'		=> @$subcategoria+0,
			'precio'			=> @$precio+0,
			'stock'				=> @$stock+0,
			'destacado'			=> @$destacado+0,
			'estado'			=> @$estado+0,
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha_ingreso),
			'fecha_edicion'		=> $db->string($fecha_ingreso)
		);

		$db->insert('productos',$datos);
		$id = $db->UltimoId('productos');

		if (!empty($id)) {
			$mensaje_respuesta = 'El producto fue agregado de forma correcta.';
			$url_respuesta = 'productos.php';
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar el producto.';
			$url_respuesta = 'productos.php';
		}

		// Creamos el Slug
		$slug = funcion::slug($titulo);
		$busqueda = funcion::slug($titulo).'-'.$db->getVar('subcategorias','slug',"id='{$subcategoria}'").'-'.$db->getVar('categorias','slug',"id='{$categoria}'");

		// Verificamos que no se repita el slug
		$validar_slug = $db->results('productos','id',"slug='{$slug}'");
		if(count($validar_slug)){
			$slug = $slug.'-'.$id;
		}

		// Subimos a la base de datos
		$datos_orden = array(
			'orden'		=> @$id+0,
			'slug'		=> $db->string($slug),
			'busqueda'	=> $db->string($busqueda)
		);		
		$db->update('productos',$datos_orden,"id='$id'");
		

		// ======PROCESAMOS IMAGEN 1 =======
		// ========================================
		
		// Incluimos la clase Upload
		include_once 'class.upload.php';
		
		$imagen = new upload($_FILES['imagen_nueva']);
		
		// Comprobamos si se subió la imagen
		  if ($imagen->uploaded) {
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $slug;
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_ratio_y			= true;
			  $imagen->image_x					= 800;
			  
			  $imagen->process('../../imagenes/productos/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('productos',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->file_new_name_body		= $slug.'-min';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_fill			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 800; /* Ancho */
			  $imagen->image_y					= 800; /* Alto */
			  
			  $imagen->process('../../imagenes/productos/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'miniatura'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('productos',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $slug.'-rec';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 500; /* Ancho */
			  $imagen->image_y					= 500; /* Alto */
			  
			  $imagen->process('../../imagenes/productos/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'recorte'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('productos',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
		
		
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======


echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>