<?php
include('../../configuracion.php');   

if (!isset($_SESSION['administrador_mago_id'])){	
	 header('Location:'.MAGO.'/index.php');
	 exit;
	 }	

if (($_SESSION['administrador_mago_nivel']!='1' ) ){	
	 header('Location:'.MAGO.'/inicio.php');
	 exit;
	 }

///////////////////////////////////////////////////////

$categoria = isset($_POST['titulo']) ? $_POST['categoria'] : NULL; 	 
$titulo = isset($_POST['titulo']) ? $_POST['titulo'] : NULL;
$frase = isset($_POST['frase']) ? $_POST['frase'] : NULL;
$texto = isset($_POST['texto']) ? $_POST['texto'] : NULL;
$titulo_en = isset($_POST['titulo_en']) ? $_POST['titulo_en'] : NULL;
$texto_en = isset($_POST['texto_en']) ? $_POST['texto_en'] : NULL;
$anno = isset($_POST['anno']) ? $_POST['anno'] : NULL;
$mes = isset($_POST['mes']) ? $_POST['mes'] : NULL;
$dia = isset($_POST['dia']) ? $_POST['dia'] : NULL;
$fecha = $anno.'-'.$mes.'-'.$dia;
$url_video = isset($_POST['url_video']) ? $_POST['url_video'] : NULL;
$destacado = isset($_POST['destacado']) ? $_POST['destacado'] : NULL;
$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;

$titulo = funcion::LimpiaComillaSimple($titulo);
$frase = funcion::LimpiaComillaSimple($frase);
$texto = funcion::LimpiaComillaSimple($texto);
$titulo_en = funcion::LimpiaComillaSimple($titulo_en);
$texto_en = funcion::LimpiaComillaSimple($texto_en);

// ============================
	if (!empty($url_video)){
		include('video_plugin.php');
		$info_video = $video->info($url_video);
		$id_video = $info_video['video_id'];
		$host_video = $info_video['video_type'];
	}
// ============================

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'fecha'				=> $db->string($fecha),
			'titulo'			=> $db->string($titulo),
			'frase'				=> $db->string($frase,html),
			'texto'				=> $db->string($texto,html),
			'titulo_en'			=> $db->string($titulo_en),
			'texto_en'			=> $db->string($texto_en,html),
			'url_video'			=> $db->string($url_video),
			'id_video'			=> $db->string($id_video),
			'host_video'		=> $db->string($host_video),
			'destacada'			=> @$destacada+0,
			'estado'			=> @$estado+0,
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha_ingreso),
			'fecha_edicion'		=> $db->string($fecha_ingreso)
		);

		$db->insert('servicios',$datos);
		$id = $db->UltimoId('servicios');

		if (!empty($id)) {
			$mensaje_respuesta = 'El servicio fue agregado de forma correcta.';
			$url_respuesta = 'servicios.php';
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar el servicio.';
			$url_respuesta = 'servicios.php';
		}

		// Creamos el Slug
		$slug = funcion::slug($titulo);

		// Verificamos que no se repita el slug
		$validar_slug = $db->results('servicios','id',"slug='{$slug}'");
		if(count($validar_slug)){
			$slug = $slug.'-'.$id;
		}

		// Subimos a la base de datos
		$datos_orden = array(
			'orden'		=> @$id+0,
			'slug'		=> $db->string($slug)
		);		
		$db->update('servicios',$datos_orden,"id='$id'");
		

		// ======PROCESAMOS IMAGEN 1 =======
		// ========================================
		
		// Incluimos la clase Upload
		include_once 'class.upload.php';
		
		$imagen = new upload($_FILES['imagen_nueva']);
		
		// Comprobamos si se subió la imagen
		  if ($imagen->uploaded) {
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $slug;
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_ratio_y			= true;
			  $imagen->image_x					= 500;
			  
			  $imagen->process('../../imagenes/servicios/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('servicios',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->file_new_name_body		= $slug.'-min';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_fill			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 400; /* Ancho */
			  $imagen->image_y					= 350; /* Alto */
			  
			  $imagen->process('../../imagenes/servicios/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'miniatura'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('servicios',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $slug.'-rec';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 400; /* Ancho */
			  $imagen->image_y					= 350; /* Alto */
			  
			  $imagen->process('../../imagenes/servicios/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'recorte'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('servicios',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
		
		
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======

		// ==================================================
		// ======PROCESAMOS LAS IMÁGENES DE LA GALERÍA=======
		// ==================================================
		
		// Extraemos la cantidad de imágenes que se van a subir
		$nro=count($_FILES['imagen_galeria']['name']);
		
		// Empezamos el array con las imágenes
		for ($i=0; $i<$nro; $i++) {
		
		// Verificamos si existe la imagen
		if ($_FILES['imagen_galeria']['name'][$i]!=''){
		
		$imagen = new upload($_FILES['imagen_galeria']['tmp_name'][$i]);
		
		// Comprobamos si se subió la imagen
			if ($imagen->uploaded) {
		
			$titulo_galeria = funcion::LimpiaComillaSimple($_POST['titulo_galeria'][$i]);
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
				$imagen->image_convert			= 'jpg';
				$imagen->jpeg_quality				= 92;
				//$imagen->allowed					= array('image/*');
				$aleatorio = funcion::Aleatorio(5,TRUE,TRUE,FALSE);
				$imagen->file_new_name_body		= funcion::slug($titulo_galeria).'_'.funcion::slug($titulo).'_'.$aleatorio;
				$imagen->file_new_name_ext		= 'jpg';
				$imagen->image_resize				= true;
				$imagen->image_ratio				= true;
				$imagen->image_x					= 800; /* Ancho */
				$imagen->image_y					= 600; /* Alto */
				
				$imagen->process('../../imagenes/galerias/');

				if ($imagen->processed) {
					// Agregamos a la base de datos
					$datos_galeria = array(
						'orden'				=> @0,
						'servicio'			=> @$id+0,
						'titulo'			=> $db->string($titulo_galeria),
						'imagen'			=> $db->string($imagen->file_dst_name),
						'autor'				=> @$autor+0,
						'fecha_ingreso'		=> $db->string($fecha_ingreso)
					);
					
					$db->insert('servicios_galerias',$datos_galeria);
					
					// Extraemos el ID
					$id_galeria = $db->UltimoId('servicios_galerias');
					
					// Colocamos el valor del orden
					$datos_orden = array(
						'orden'		=> @$id_galeria+0
					);		
					$db->update('servicios_galerias',$datos_orden,"id='$id_galeria'");
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
				$nombre = funcion::Aleatorio(15,TRUE,TRUE,FALSE);
				$imagen->image_convert				= 'jpg';
				$imagen->jpeg_quality				= 92;
				//$imagen->allowed					= array('image/*');
				$imagen->file_new_name_body			= $nombre;
				$imagen->file_new_name_ext		= 'jpg';
				$imagen->image_resize				= true;
				$imagen->image_ratio_crop			= true;
				$imagen->image_background_color		= '#FFFFFF';
				$imagen->image_x					= 90; /* Ancho */
				$imagen->image_y					= 90; /* Alto */
				
				$imagen->process('../../imagenes/galerias/');
				if ($imagen->processed) {
				  
					// Subimos a la base de datos
					$datos_recorte = array(
							'miniatura'		=> $db->string($imagen->file_dst_name)
					);		
					$db->update('servicios_galerias',$datos_recorte,"id='$id_galeria'");
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
				$nombre = funcion::Aleatorio(15,TRUE,TRUE,FALSE);
				$imagen->image_convert				= 'jpg';
				$imagen->jpeg_quality				= 92;
				//$imagen->allowed					= array('image/*');
				$imagen->file_new_name_body			= $nombre;
				$imagen->file_new_name_ext		= 'jpg';
				$imagen->image_resize				= true;
				$imagen->image_ratio_crop			= true;
				$imagen->image_background_color		= '#FFFFFF';
				$imagen->image_x					= 80; /* Ancho */
				$imagen->image_y					= 70; /* Alto */
				
				$imagen->process('../../imagenes/galerias/');
				
				if ($imagen->processed) {
				  
					// Subimos a la base de datos
					$datos_recorte = array(
							'recorte'		=> $db->string($imagen->file_dst_name)
					);		
					$db->update('servicios_galerias',$datos_recorte,"id='$id_galeria'");
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
		
		  }
		
		}
		}
		// ============================
		
		//======FIN DEL PROCESO DE LAS IMÁGENES DE LA GALERÍA=======
		//==========================================================
		
echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>