<?php
include('../../configuracion.php');   

if (!isset($_SESSION['administrador_mago_id'])){	
	 header('Location:'.MAGO.'/index.php');
	 exit;
	 }	

if (($_SESSION['administrador_mago_nivel']!='1' ) ){	
	 header('Location:'.MAGO.'/inicio.php');
	 exit;
	 }

///////////////////////////////////////////////////////

$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$direccion = isset($_POST['direccion']) ? $_POST['direccion'] : NULL;
$horarios = isset($_POST['horarios']) ? $_POST['horarios'] : NULL;
$telefono = isset($_POST['telefono']) ? $_POST['telefono'] : NULL;
$mapa = isset($_POST['mapa']) ? $_POST['mapa'] : NULL;
$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;

$nombre = funcion::LimpiaComillaSimple($nombre);
$direccion = funcion::LimpiaComillaSimple($direccion);
$horarios = funcion::LimpiaComillaSimple($horarios);
$telefono = funcion::LimpiaComillaSimple($telefono);

// ============================

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'nombre'			=> $db->string($nombre),
			'direccion'			=> $db->string($direccion),
			'horarios'			=> $db->string($horarios),
			'telefono'			=> $db->string($telefono),
			'mapa'				=> $db->string($mapa,html),
			'estado'			=> @$estado+0,
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha_ingreso),
			'fecha_edicion'		=> $db->string($fecha_ingreso)
		);

		$db->insert('ubicacion',$datos);
		$id = $db->UltimoId('ubicacion');

		if (!empty($id)) {
			$mensaje_respuesta = 'La ubicacion fue agregada de forma correcta.';
			$url_respuesta = 'ubicacion.php';
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar la ubicacion.';
			$url_respuesta = 'ubicacion.php';
		}

		// Creamos el Slug
		$slug = $id.'-'.funcion::slug($nombre);

		// Subimos a la base de datos
		$datos_slug = array(
			'orden'		=> @$id+0,
			'slug'		=> $db->string($slug)
		);		
		$db->update('ubicacion',$datos_slug,"id='$id'");
		

		// ======PROCESAMOS IMAGEN 1 =======
		// ========================================
		
		// Incluimos la clase Upload
		include_once 'class.upload.php';
		
		$imagen = new upload($_FILES['imagen_nueva']);
		
		// Comprobamos si se subió la imagen
		  if ($imagen->uploaded) {
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $slug;
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 400; /* Ancho */
			  $imagen->image_y					= 309; /* Alto */
			  
			  $imagen->process('../../imagenes/ubicacion/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('ubicacion',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======


echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>