<?php
include('../configuracion.php');   

if (!isset($_SESSION['administrador_mago_id'])){	
	 header('Location:'.MAGO.'index.php');
	 exit;
	 }

if (($_SESSION['administrador_mago_nivel']!='1' ) ){	
	 header('Location:'.MAGO.'home.php');
	 exit;
	 }
	 
$menu_izquierda = 'inicio';
	 
//=====================================//
	 
$autor_actual = $_SESSION['administrador_mago_nombre'];
$fecha_actual = date('Y-m-d H:i:s');
$anno = date('Y');
$mes = date('m');
$dia = date('d');
$fecha = date('d-m-Y');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>MAGO | <?php echo TITLE ?></title>
<link href="css/panel.css" rel="stylesheet" type="text/css" media="screen" />

<script type="text/javascript" src="js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="js/jquery.form.js"></script>
<script type="text/javascript" src="js/jquery.validate.js"></script>
<script type="text/javascript" src="js/additional-methods.js"></script>
<script type="text/javascript" src="js/jquery.blockUI.js"></script>
<script type="text/javascript" src="js/tinymce/jquery.tinymce.min.js"></script>
<script type="text/javascript" src="js/tinymce/tinymce.min.js"></script>

	<script type="text/javascript">

  // WYSIWYG
  tinymce.init({
    selector: "#texto",
    language : 'es_MX',
    plugins: [
      "advlist autolink lists link image charmap print preview anchor",
      "searchreplace visualblocks code fullscreen",
      "insertdatetime media table contextmenu paste youtube"
    ],
    menubar: "edit table format view insert",
    toolbar: "bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link code"
  });

  tinymce.init({
    selector: "#texto_en",
    language : 'es_MX',
    plugins: [
      "advlist autolink lists link image charmap print preview anchor",
      "searchreplace visualblocks code fullscreen",
      "insertdatetime media table contextmenu paste youtube"
    ],
    menubar: "edit table format view insert",
    toolbar: "bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link code"
  });

  function TinyMCEupdate(){
    tinymce.triggerSave();
  }

    // CARGA DE SUBCATEGORÍAS
    function cargarSubcategoria(categoria_seleccionada){
        $('#subcategoriaInicial').css('display', 'none');
        $('#campoSubcategoria').css('display', 'none');
        $('#cargandoSubcategoria').css('display', '');
        $.post('../inc/inc-subcategorias-mago.php', { categoria: categoria_seleccionada }, function(data){
        $('#cargandoSubcategoria').css('display', 'none');
        $('#campoSubcategoria').css('display', '');
        $('#campoSubcategoria').html(data);
        });        
    }

	$(document).ready(function() {
	
	// VALIDACION DEL FORMULARIO
		   $("#formulario").validate({
	
		rules: {
						  categoria: {required: true},
              subcategoria: {required: true},
              titulo: {required: true},
              precio: {digits: true},
              stock: {digits: true},
						  imagen_nueva: {accept: "png|jpe?g|gif"},
						  url_video: {url: true}
						 },
		messages: {
						  categoria: {required: "Debe seleccionar la categor&iacute;a"},
              subcategoria: {required: "Debe seleccionar la subcategor&iacute;a"},
              titulo: {required: "Debe ingresar el t&iacute;tulo"},
              precio: {digits: "Debe ingresar s&oacute;lo d&iacute;gitos"},
              stock: {digits: "Debe ingresar s&oacute;lo d&iacute;gitos"},
						  imagen_nueva: {accept: "S&oacute;lo se aceptan im&aacute;genes en formato JPG, PNG o GIF"},
						  url_video: {url: "Debe ingresar la direcci&oacute;n en formato http://www.sitio.com"}
						  }
			});
      		
	});
	</script>

	<!-- PORCENTAJE DE ENVIO -->
    <script type="text/javascript">
	
	jQuery(document).ready(function ($) {
		
		(function() {   
		var barra_formulario = $('.barra_formulario');
		var porcentaje_formulario = $('.porcentaje_formulario');
		   
		$('form').ajaxForm({
			beforeSend: function() {
				var percentajeValor = '0%';
				barra_formulario.width(percentajeValor)
				porcentaje_formulario.html(percentajeValor);
		
			$.blockUI({ 
			message: $('#progreso'),
			css: { 
					width: '400px',
					border: 'none',
					fontSize: '16px',
					padding: '15px', 
					backgroundColor: '#C5C5C4', 
					'-webkit-border-radius': '10px', 
					'-moz-border-radius': '10px', 
					opacity: .9
				}	
			});
			
			},
			uploadProgress: function(event, posicion, total, percentajeCompleto) {
				var percentajeValor = percentajeCompleto + '%';
				barra_formulario.width(percentajeValor)
				porcentaje_formulario.html(percentajeValor);
			},
			success: function() {
				var percentajeValor = '100%';
				barra_formulario.width(percentajeValor)
				porcentaje_formulario.html(percentajeValor);
			},
			complete: function(xhr) {
			valores = xhr.responseText.split('|');
			$.unblockUI();		
			$.blockUI({ 
			message: (valores[0]),
			css: { 
					width: '400px',
					border: 'none',
					fontSize: '16px',
					padding: '15px',
					color: '#FFFFFF',
					backgroundColor: '#C5C5C4', 
					'-webkit-border-radius': '10px', 
					'-moz-border-radius': '10px', 
					opacity: .9
				}
			});
			setTimeout($.unblockUI, 5000);
			setTimeout(function() {window.location.href = valores[1];}, 5200);
			}
		}); 
		
		})();
	});
	</script>
	
<script type="text/javascript">
function td_on(t) {
 	t.className = "menu_int_on"
}
function td_out(t) {
	t.className = "menu_int_of"
}
function td_go(t) {
 	this.document.location = t
}

function td_on_menu(t) {
 	t.className = "menu_ppal_int_on"
}

function td_out_menu(t) {
	t.className = "menu_ppal_int_of"
}

function td_go_menu(t) {
 	this.document.location = t
}
</script>
</head>
<body>

    <div  id="progreso" style="display:none">
        <div class="mensaje_enviando_formulario">Procesando, por favor espera...</div>
        <div class="progreso_formulario">
            <div class="barra_formulario"></div >
            <div class="porcentaje_formulario">0%</div >
        </div>
    </div>
	
<table width="1060" border="0" align="center" cellpadding="0" cellspacing="0">
  
  <tr>
    <td width="1061"><table width="100%" height="28" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td background="images/bg_menu_sup.jpg"><table width="1060" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="1061"><?php include ("encabezado.php");?></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
<table width="1060" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td colspan="3"><img width="0" height="3" /></td>
  </tr>
  <tr>
    <?php include ("menu.php");?>
    <td width="0%" bgcolor="#E7E7E7"><img width="3" height="0" /></td>
    <td width="80%" valign="top" bgcolor="#FFFFFF" class="celdas_main"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="3">
      <tr>
        <td class="titulos"><a href="home.php" class="ver_mas">Inicio</a> - Productos</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
      </tr>
      
      
    </table>
      <table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td width="50%">
          
          <form method="post" action="post/producto_nuevo_envio.php" enctype="multipart/form-data" name="formulario" id="formulario" >
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td><table width="829" height="24" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="170" align="center" background="images/tab_sup_off_left.jpg" class="texto_form"><a href="productos.php" class="texto_ref">Lista de productos</a></td>
                    <td width="168" align="center" background="images/tab_sup_on_left.jpg" class="titulos_normal">Agregar producto</td>
                    <td width="493" class="celdas_inf">&nbsp;</td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td class="celdas_contenido_cuadro"><table width="96%" border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td><img width="3" height="0" /></td>
                  </tr>
                  <tr>
                    <td class="texto_general">&nbsp;</td>
                  </tr>
                  <tr>
                    <td class="texto_general">Este panel nos permitir&aacute; agregar una nueva producto.</td>
                  </tr>
                  <tr>
                    <td bgcolor="#CCCCCC"><img width="1" height="0" /></td>
                  </tr>
                  <tr>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <td align="right"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td colspan="3" valign="top"><table width="100%" border="0" align="left" cellpadding="0" cellspacing="3">
                        	<tr>
                            <td width="16%" align="left" class="texto_form">Categoría:</td>
                            <td width="86%" align="left">
                              <select name="categoria" id="categoria" class="selector" style="width:600px; height:26px;">
                                <option value="" selected="selected">Selecciona...</option>
                                <?php
                                $categorias = $db->results('categorias','nombre, id',"",'orden DESC');
                                  if(count($categorias)){
                                    foreach($categorias as $categoria){
                                ?>
                                <option value="<?php echo $categoria->id ?>"><?php echo $categoria->nombre ?></option>
                                <?php } } ?>
                              </select>
                            </td>
                          </tr>
                          <!--
                          <tr>
                            <td align="left" valign="middle" class="texto_form">Subcategoría:</td>
                            <td align="left" valign="top">
                              <select name="sin_subcategoria" id="subcategoriaInicial" class="selector" style="width:600px; height:26px">
                                <option value="">Selecciona primero una categoría.</option>
                              </select>
                              <select name="cargandoSubcategoria" id="cargandoSubcategoria" class="selector" style="width:600px; height:26px; display:none">
                                <option value="">Cargando subcategorías...</option>
                              </select>
                              <div id="campoSubcategoria"></div>
                            </td>
                          </tr>
                          -->
                        	<tr>
                        		<td width="19%" align="left" valign="middle" class="texto_form">Nombre:</td>
                        		<td width="81%" align="left" valign="top"><input name="titulo" type="text" class="campoBuscador" id="titulo" style="width:600px; height:20px;" value="" /></td>
                        	</tr>
                        	<tr>
                        		<td align="left" valign="top" class="texto_form">Descripción:</td>
                        		<td align="left" valign="top"><span class="submit">
                        			<textarea name="texto" class="casilla_txt" id="texto" style="width:600px; height:200px;"></textarea>
                        			</span></td>
                        	</tr>
                          <tr>
                            <td width="19%" align="left" valign="middle" class="texto_form">Precio:</td>
                            <td width="81%" align="left" valign="top"><input name="precio" type="text" class="campoBuscador" id="precio" style="width:600px; height:20px;" value="0" /></td>
                          </tr>
                          <!--
                          <tr>
                            <td width="19%" align="left" valign="middle" class="texto_form">Stock:</td>
                            <td width="81%" align="left" valign="top"><input name="stock" type="text" class="campoBuscador" id="stock" style="width:600px; height:20px;" value="0" /></td>
                          </tr>
                          -->
                        	<tr>
                        		<td align="left" valign="top" class="texto_form">Fotograf&iacute;a:</td>
                        		<td align="left" valign="top" class="submit"><span class="last">
                        			<input name="imagen_nueva" id="imagen_nueva" type="file" class="archivos" />
                        			</span><br />
                        			<span class="titulos_secciones">Tama&ntilde;o recomendado de la fotograf&iacute;a: 800x800 px.<br />
                        				Peso m&aacute;x. de la fotograf&iacute;a: 2 Mb.<br />
                        				Tipos permitidos: JPG, PNG y GIF NO ANIMADO.</span></td>
                        		</tr>
                          <!--
                        	<tr>
                        		<td align="left" valign="middle" class="texto_form">Video:</td>
                        		<td align="left" valign="top"><input name="url_video" type="text" class="campoBuscador" id="url_video" style="width:600px; height:20px;" value="" /></td>
                        		</tr>
                          -->
                        	<tr>
                        		<td align="left" valign="top" class="texto_form">&nbsp;</td>
                        		<td align="left" valign="top">&nbsp;</td>
                        		</tr>
                          <tr>
                            <td align="left" valign="middle" class="texto_form">Marcar como destacado:</td>
                            <td align="left" valign="top">
                              <select name="destacado" class="selector" id="destacado" style="width:50px; height:26px;">
                                <option value="0" <?php if ($datos->destacado==0) {echo 'selected="selected"';} ?>>NO</option>
                                <option value="1" <?php if ($datos->destacado==1) {echo 'selected="selected"';} ?>>SI</option>
                              </select>
                            </td>
                          </tr>
                          <tr>
                            <td align="left" valign="top" class="texto_form">&nbsp;</td>
                            <td align="left" valign="top">&nbsp;</td>
                            </tr>
                        	</table>
							</td>
                      </tr>
                      <tr>
                      	<td colspan="3" align="left" valign="top"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                      		<tr>
                      			<td class="celdas_titulo_cuadro"><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                      				<tr>
                      					<td width="7%" align="left"><img src="images/caution.gif" width="16" height="16" /></td>
                      					<td width="93%" align="left" class="titulos_normal">IMPORTANTE:</td>
                      					</tr>
                      				<tr>
                      					<td colspan="2"><img width="0" height="8" /></td>
                      					</tr>
                      				<tr>
                      					<td>&nbsp;</td>
                      					<td align="left" class="texto_form">Este producto quedar&aacute; registrado a nombre de <?php echo $autor_actual ?> con fecha <?php echo funcion::nombre_dia($fecha_actual); echo ', '; echo funcion::cambiar_fecha($fecha_actual, 'D de F Y'); echo ' a las '; echo funcion::cambiar_fecha($fecha_actual, 'H:i') ?></td>
                      					</tr>
                      				<tr>
                      					<td>&nbsp;</td>
                      					<td align="left" class="texto_form">&nbsp;</td>
                      					</tr>
                      				<tr>
                      					<td align="left"><img src="images/caution.gif" width="16" height="16" /></td>
                      					<td align="left" class="titulos_normal">Estado inicial:</td>
                      					</tr>
                      				<tr>
                      					<td>&nbsp;</td>
                      					<td align="left" class="texto_form"><input name="estado" type="radio" id="estado" value="1" checked="checked" />Activa  <input type="radio" name="estado" value="0" id="estado" />Desactivada</td>
                      					</tr>
                      				</table></td>
                      			</tr>
                      		<tr>
                      			<td>&nbsp;</td>
                      			</tr>
                      		</table></td>
                      	</tr>
                      <tr>
                        <td width="50%" align="left" valign="top"><span class="texto_form">
                          <input onClick="TinyMCEupdate();" name="button" type="submit" class="submit" id="button" style="cursor:pointer" value="Agregar"/>
                        </span></td>
                        <td>&nbsp;</td>
                        <td width="50%">&nbsp;</td>
                      </tr>
                      <tr>
                        <td align="left" valign="top">&nbsp;</td>
                        <td>&nbsp;</td>
                        <td align="left">&nbsp;</td>
                      </tr>
                    </table></td>
                  </tr>
                </table></td>
              </tr>
            </table>
          </form>
                      <p>&nbsp;</p></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td colspan="3"><img width="0" height="3" /></td>
  </tr>
</table>
<?php include ('pie.php');?>
</body>
</html>