<?php
include('configuracion.php');
// Filtramos la llegada por URL semántica
$prod = isset($_GET['prod']) ? $_GET['prod'] : NULL;
$producto = $db->row('productos','*',"slug='{$prod}'");
$categoria = $db->row('categorias','*',"id='{$producto->categoria}'");
if(!count($producto)){ 
   header("Location:../../inicio"); 
   exit;
   }
// Actualizamos la Página Actual
$_SESSION['pagina_actual'] = 'http://'.$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];

$pag_actual='productos';
?>
<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title><?php echo $producto->titulo ?> | <?php echo TITLE ?></title>
    <base href = "http://<?php echo $_SERVER['SERVER_NAME']; echo $_SERVER['PHP_SELF'];?>" target="_top" />
    <meta name="author" content="">
    <!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    
    <!-- Favicons -->
    <link rel="shortcut icon" href="favicon/favicon.ico" />
    <link rel="apple-touch-icon" sizes="57x57" href="favicon/apple-touch-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="favicon/apple-touch-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="favicon/apple-touch-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="favicon/apple-touch-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="favicon/apple-touch-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="favicon/apple-touch-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="favicon/apple-touch-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="favicon/apple-touch-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="favicon/apple-touch-icon-180x180.png">
    <link rel="icon" type="image/png" href="favicon/favicon-32x32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="favicon/favicon-194x194.png" sizes="194x194">
    <link rel="icon" type="image/png" href="favicon/favicon-96x96.png" sizes="96x96">
    <link rel="icon" type="image/png" href="favicon/android-chrome-192x192.png" sizes="192x192">
    <link rel="icon" type="image/png" href="favicon/favicon-16x16.png" sizes="16x16">
    <link rel="manifest" href="favicon/manifest.json">
    <meta name="msapplication-TileColor" content="#000000">
    <meta name="msapplication-TileImage" content="favicon/mstile-144x144.png">
    <meta name="theme-color" content="#ffffff">
    
    <!-- CSS -->
    <link rel="stylesheet" href="css/estilo.css">
    <link rel="stylesheet" href="css/grid.css">
    <link href="css/style.css" rel="stylesheet" type="text/css" />
    
    <!-- Jquery -->
	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
    
    <!-- respondive -->
    <link rel="stylesheet" href="css/style.css">
    <script src="js/modernizr.js"></script>
    <script src="js/jquery.menu-aim.js"></script>
    <script src="js/main.js"></script>
    
    <!-- Menu -->
    <link href="css/estilo-menu.css" rel="stylesheet" type="text/css" />
    
    <link rel="stylesheet" href="font/css/fontello.css">
    <link rel="stylesheet" href="font/css/animation.css"><!--[if IE 7]><link rel="stylesheet" href="css/fontello-ie7.css"><![endif]-->
    <script>
      function toggleCodes(on) {
        var obj = document.getElementById('icons');
        
        if (on) {
          obj.className += ' codesOn';
        } else {
          obj.className = obj.className.replace(' codesOn', '');
        }
      }
      
    </script>
    
    <!-- Nivo -->
    <link href="css/nivo-slider.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="css/themes/default/default.css" type="text/css" />
    <script type="text/javascript" src="js/jquery.nivo.slider.pack.js"></script>

    <script type="text/javascript">
    $(window).load(function() {
        $('#slider').nivoSlider({
	        effect: 'fade',
        });
    });

    </script>
    <!-- Nivo -->
<script type="text/javascript">
$().ready(function() {
    $('#boton-comprar').click(function() {
        $('#form-comprar').submit();
    });
});
</script>    
</head>

<body>
	
    <!-- Go to www.addthis.com/dashboard to customize your tools -->
	<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-5571a0cf3fed3246" async="async"></script>

	<?php include("inc/inc-head.php"); ?>
    <!-- fin header -->
    
    <div class="w-100 orange f-l">
    	<div class="cont-1200 f-c">
            <div class="big-title">
                <h3>Té</h3>
                <div class="crumbreed">
                    <a href="<?php echo WEB ?>">Inicio</a> / <a href="<?php echo WEB ?>productos">Productos</a> / <a href="<?php echo WEB ?>productos/<?php echo $categoria->slug ?>"><?php echo $categoria->nombre ?></a> / <?php echo $producto->titulo ?>
                </div>
            </div>
        </div>
    </div>
    
    <section class="container">
    
    	<div class="espacio-20 f-l"></div>
        
    	<div class="cont-1200 f-c">
        	
            <div class="col-6 f-l m-1">
            	<img src="<?php echo WEB ?>imagenes/productos/<?php echo $producto->imagen?>" width="100%" alt="<?php echo $producto->titulo ?>"/>
            </div>
            <div class="col-6 f-l m-1">
            	<div class="info-prod">
                	<span class="tipo orange"><?php echo $categoria->nombre ?></span>
                    <h4><?php echo $producto->titulo ?></h4>
                    <p>id: <?php echo $producto->id ?></p>
                    <div class="horizontal-line"></div>
                    <h5>$<?php echo funcion::formatoPrecio($producto->precio) ?>.-</h5>
                    <div class="selector">
                    <form id="form-comprar" method="get" action="carro-agregar-producto.php">
                        <select name="cantidad" required>
                            <option value="">Selecciona cantidad</option>
                            <option value="1">01</option>
                            <option value="2">02</option>
                            <option value="3">03</option>
                            <option value="4">04</option>
                            <option value="5">05</option>
                        </select>
                        <input type="hidden" name="id_producto" value="<?php echo $producto->id ?>">
                    </form>                    
                    </div>
                    <a id="boton-comprar" class="btn-prod green">Comprar producto</a>
                    <?php if(!empty($producto->texto)) { ?>
                    <p><strong>Descripción:</strong></p>
                    <p><?php echo $producto->texto ?></p>
                    <?php } ?>

                    <!-- VIDEO -->
                    <?php
                    if (!empty($datos->id_video)){
                        include('video_plugin.php');
                        ?>
                        <?php
                        if($datos->host_video=='vimeo'){ 
                            $url_video = 'http://vimeo.com/'.$datos->id_video;
                            echo $video->embed($url_video, '100%', '400');
                        }
                        if($datos->host_video=='youtube'){ 
                            $url_video = 'http://www.youtube.com/watch?v='.$datos->id_video;
                            echo $video->embed($url_video, '100%', '400');
                        }
                    ?>
                    <div class="alt-10 f-l"></div>
                    <?php }?>
                <!-- FIN VIDEO -->

                    <div class="horizontal-line"></div>
                    <div class="share">
                        <!-- Go to www.addthis.com/dashboard to customize your tools -->
                        <div class="addthis_native_toolbox"></div>	
                    </div>
                </div>
            </div>
            
    	</div>
    </section>
    <section class="container">
    	<div class="espacio-20 f-l"></div>
        <div class="espacio-20 f-l"></div>
        
    	<div class="cont-1200 f-c">
        
        	<div class="big-title">
            	<h2>Productos Relacionados</h2>
            </div>
        <?php
        $relacionados = $db->results('productos','*',"estado='1' AND categoria='{$categoria->id}' AND id!='{$producto->id}'",'rand()','4');
            if(count($relacionados)){
                foreach($relacionados as $relacionado){
        ?>            
            <a href="<?php echo WEB.'productos/'.$categoria->slug.'/'.$relacionado->slug ?>" class="col-3 f-l hack-mid">
            	<div class="producto">
                	<img src="<?php echo WEB ?>imagenes/productos/<?php echo $relacionado->recorte ?>" alt="<?php echo $relacionado->titulo ?>"/>
                    <h4><?php echo $relacionado->titulo ?></h4>
                    <p><strong>$<?php echo funcion::formatoPrecio($relacionado->precio) ?>.-</strong></p>
                </div>
            </a>
        <?php
                }
            }
        ?>
    	</div>
    </section>
    
    <?php include("inc/inc-foot.php"); ?>
    <!-- fin footer -->
    
</body>
</html>