<?php
include('configuracion.php');
$pag_actual='carro';
$valor_despacho_rm = 2500;
?>
<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Carro | <?php echo TITLE ?></title>
    <meta name="author" content="">
    <!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    
    <!-- Favicons -->
    <link rel="shortcut icon" href="favicon/favicon.ico" />
    <link rel="apple-touch-icon" sizes="57x57" href="favicon/apple-touch-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="favicon/apple-touch-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="favicon/apple-touch-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="favicon/apple-touch-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="favicon/apple-touch-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="favicon/apple-touch-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="favicon/apple-touch-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="favicon/apple-touch-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="favicon/apple-touch-icon-180x180.png">
    <link rel="icon" type="image/png" href="favicon/favicon-32x32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="favicon/favicon-194x194.png" sizes="194x194">
    <link rel="icon" type="image/png" href="favicon/favicon-96x96.png" sizes="96x96">
    <link rel="icon" type="image/png" href="favicon/android-chrome-192x192.png" sizes="192x192">
    <link rel="icon" type="image/png" href="favicon/favicon-16x16.png" sizes="16x16">
    <link rel="manifest" href="favicon/manifest.json">
    <meta name="msapplication-TileColor" content="#000000">
    <meta name="msapplication-TileImage" content="favicon/mstile-144x144.png">
    <meta name="theme-color" content="#ffffff">
    
    <!-- CSS -->
    <link rel="stylesheet" href="css/estilo.css">
    <link rel="stylesheet" href="css/grid.css">
    <link href="css/style.css" rel="stylesheet" type="text/css" />
    
    <!-- Jquery -->
	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>

    <!-- respondive -->
    <link rel="stylesheet" href="css/style.css">
    <script src="js/modernizr.js"></script>
    <script src="js/jquery.menu-aim.js"></script>
    <script src="js/main.js"></script>
    
    <!-- Menu -->
    <link href="css/estilo-menu.css" rel="stylesheet" type="text/css" />
    
    <link rel="stylesheet" href="font/css/fontello.css">
    <link rel="stylesheet" href="font/css/animation.css"><!--[if IE 7]><link rel="stylesheet" href="css/fontello-ie7.css"><![endif]-->
    <script>
      function toggleCodes(on) {
        var obj = document.getElementById('icons');
        
        if (on) {
          obj.className += ' codesOn';
        } else {
          obj.className = obj.className.replace(' codesOn', '');
        }
      }
      
    </script>
    
    <!-- Nivo -->
    <link href="css/nivo-slider.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="css/themes/default/default.css" type="text/css" />
    <script type="text/javascript" src="js/jquery.nivo.slider.pack.js"></script>

    <script type="text/javascript">
    $(window).load(function() {
        $('#slider').nivoSlider({
	        effect: 'fade',
        });
    });

    </script>
    <!-- Nivo -->
    
</head>

<body>
	
    <!-- Go to www.addthis.com/dashboard to customize your tools -->
	<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-5571a0cf3fed3246" async="async"></script>

	<?php include("inc/inc-head.php"); ?>
    <!-- fin header -->
    
    <div class="w-100 green f-l">
    	<div class="cont-1200 f-c">
            <div class="big-title">
                <h3>Carrito</h3>
                <div class="crumbreed">
                    <a href="index.php">Home</a> / <a href="categorias.php">Contacto</a>
                </div>
            </div>
        </div>
    </div>
    
    <section class="container">
    
    	<div class="espacio-20 f-l"></div>
        
    	<div class="cont-1200 f-c">
        	
            <div class="col-6 f-l m-1">

            <?php if(empty($_SESSION['carro'])){?>      
            <h3>No tienes productos en tu carrito.</h3>
            <div class="espacio-20 f-l"></div>
            <div class="espacio-20 f-l"></div>
            <div class="espacio-20 f-l"></div>
            <div class="espacio-20 f-l"></div>
            <?php } else { ?> 
            <div class="tabla">
            <table cellspacing="0" class="table cart_table">
                <thead>
                    <tr>
                        <th><h2>Producto</h2></th>
                        <th><h2>Precio</h2></th>
                        <th><h2>Cantidad</h2></th>
                        <th><h2>Subtotal</h2></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $subtotal = 0;
                    $total = 0;
                    foreach($_SESSION['carro'] as $k => $v){
                        $contador++;    
                        $datos = $db->row('productos','*',"id='{$v['id_producto']}'");
                        $slug_categoria = $db->getVar('categorias','slug',"id='{$datos->categoria}'");
                        $subtotal = ($v['precio'] * $v['cantidad']);        
                        $total = $total + $subtotal;
                        ?>          
                <form name="<?php echo $v['identificador'] ?>" id="<?php echo $v['identificador'] ?>" method="post" action="carro-agregar-producto.php?id_producto=<?php echo $v['id_producto'] ?>">
                    <!-- 1° fila -->    
                    <tr>
                        <td style="text-align:center">
                            <a href="<?php echo WEB ?>productos/<?php echo $slug_categoria ?>/<?php echo $datos->slug ?>">
                                <?php if(!empty($datos->recorte)) { ?>
                                <img src="<?php echo WEB ?>imagenes/productos/<?php echo $datos->recorte ?>" style="width: 100px"/>
                                <?php } else { ?>
                                <img src="<?php echo WEB ?>imagenes/producto-sin-imagen.jpg"/>
                                <?php } ?>
                            </a>
                            <br>
                            <?php echo $datos->titulo ?>
                        </td>
                        <td>$<?php echo funcion::formatoPrecio($datos->precio) ?>.-</td>
                        <td style="text-align:center">
                            <select name="cantidad" id="cantidad_<?php echo $v['id_producto'] ?>" data-producto="<?php echo $v['id_producto'] ?>" style="margin-top: -6px;" class="select_cantidad">
                                <?php for ($num = 1; $num <= 10; $num++){ ?>
                                <option value="<?php echo $num ?>" <?php if($num == $v['cantidad']) { echo 'selected'; } ?> ><?php echo $num ?></option>
                                <?php } ?></select>           
                        </td>
                        <td>$<?php echo funcion::formatoPrecio($subtotal) ?>.-</td>
                        <td style="text-align:center">
                                <div class="eliminar-carro">
                                    <a href="carro-borrar-producto.php?<?php echo SID ?>&amp;id_producto=<?php echo $datos->id ?>" onClick="return confirm('Seguro quieres sacar este producto de tu carrito?')"><img src="<?php echo WEB ?>imagenes/eliminar.gif"/></a>
                                </div>
                        </td>
                    </tr>
                </form>
                            <?php } ?>
                    <tr>
                        <td colspan="3" style="text-align: right; font-weight: bold;">SUBTOTAL:</td>
                        <td colspan="2">$<?php echo funcion::formatoPrecio($total) ?>.-</td>
                    </tr>
                    <tr>
                        <td colspan="3" style="text-align: right; font-weight: bold;">DESPACHO:</td>
                        <td colspan="2"><span id="total_despacho">-</span></td>
                    </tr>
                    <tr>
                        <td colspan="3" style="text-align: right; font-weight: bold;">TOTAL:</td>
                        <td colspan="2"><span id="total_final">$<?php echo funcion::formatoPrecio($total) ?>.-</span></td>
                    </tr>
            </table>
            </div><!-- Fin tabla -->

            </div>
            <div class="col-6 f-l m-1">
            	<div id="contact-wrapper-c">
                    <form novalidate="novalidate" id="contactform-c" method="post" id="form_contacto" action="carro-proceso.php">
                        <input type="hidden" name="producto" value="<?php echo $producto ?>">
                        <div>
                        <label>Nombre:</label>
                        <input type="text" placeholder="Nombre completo" value="" id="nombre" name="nombre" size="50">
                        </div>
                        <div>
                        <label>Email:</label>
                        <input type="text" placeholder="Email" value="" id="email" name="email" size="50">
                        </div>
                        <div>
                        <label>Teléfono:</label>
                        <input type="text" placeholder="Teléfono" value="" id="telefono" name="telefono" size="50">
                        </div>
                        <div>
                        <label>Despacho:</label>
                        <select name="forma_despacho" id="forma_despacho">
                        <option value="" selected="selected">Selecciona...</option>
                        <option value="Metropolitana">Despacho Región Metropolitana</option>
                        <option value="Regiones">Despacho a Regiones</option>
                        <option value="Tienda">Retiro en Tienda</option>
                        </select>
                        </div>
                        <div id="div_direccion" style="display:none">
                        <label>Dirección:</label>
                        <input type="text" placeholder="Dirección completa para despacho" value="" id="direccion" name="direccion" size="50">
                        </div>         
                        
                        <div class="alt-20 f-l"></div>
                        <div class="alt-20 f-l"></div>
                        <input type="submit" value="COMPRAR" name="submit" class="btn-c">
                    </form>
                </div>
            </div>
            <?php } ?>
            
    	</div>
    </section>
    
    <?php include("inc/inc-foot.php"); ?>
    <!-- fin footer -->

    <!-- Formulario -->
    <script type="text/javascript" src="js/jquery.form.js"></script>
    <script type="text/javascript" src="js/jquery.validate.min.js"></script>
    <script type="text/javascript" src="js/additional-methods.min.js"></script>
    <script type="text/javascript" src="js/jquery.rut.js"></script>

    <script type="text/javascript">

    jQuery(document).ready(function ($) {
        
        // VALIDACION DEL FORMULARIO
        
        $.validator.addMethod("rut", function(value, element) {
            return this.optional(element) || $.Rut.validar(value);
        }, "Este campo debe ser un RUT v&aacute;lido.");
        $('.rut').Rut();

        $('#contactform-c').validate({   
            rules: {
                    nombre: {required: true},
                    telefono: {required: true},
                    email: {required: true, email: true},
                    forma_despacho: {required: true}
                },
            messages: {
                    nombre: {required: "Debe ingresar su nombre"},
                    rut: {required: "Debe ingresar el RUT", rut: "Debe ingresar un RUT válido"},
                    rut_empresa: {required: "Debe ingresar el RUT", rut: "Debe ingresar un RUT válido"},
                    telefono: {required: "Debe ingresar su teléfono"},
                    email: {required: "Debe ingresar su email", email: "Debe ingresar un email válido"},
                    documento: {required: "Debe seleccionar si desea boleta o factura"},
                    forma_pago: {required: "Debe seleccionar la forma de pago"},
                    forma_despacho: {required: "Debe seleccionar la forma de despacho"}
            },
                onkeyup: false
        });

        $('.enviar_cantidad').click(function() {
            var id_producto = $(this).attr('data-producto');
            var nueva_cantidad = $("#cantidad_"+id_producto).val();
            window.location = 'carro-agregar-producto.php?id_producto='+id_producto+'&cantidad='+nueva_cantidad;
            return false;
        });
        
        $('.select_cantidad').change(function() {
            var id_producto = $(this).attr('data-producto');
            var nueva_cantidad = $(this).val();
            window.location = 'carro-agregar-producto.php?id_producto='+id_producto+'&cantidad='+nueva_cantidad;
            return false;
        });

        $('#forma_despacho').change(function() {
            if($(this).val()=='Metropolitana' || $(this).val()=='Regiones'){
                $('#div_direccion').show();
                if($(this).val()=='Metropolitana') {
                    var total_despacho = <?php echo $valor_despacho_rm ?>;
                    var total_final = <?php echo $total+$valor_despacho_rm ?>;
                    $('#total_despacho').text(formatoNumerico(parseInt(total_despacho),'$')+'.-');
                    $('#total_final').text(formatoNumerico(parseInt(total_final),'$')+'.-');
                }
                if($(this).val()=='Regiones') {
                    var total_despacho = 'Por pagar';
                    var total_final = <?php echo $total ?>;
                    $('#total_despacho').text(total_despacho);
                    $('#total_final').text(formatoNumerico(parseInt(total_final),'$')+'.-');
                }
            }else{
                $('#div_direccion').hide();
                var total_despacho = 'Sin costo';
                var total_final = <?php echo $total ?>;
                $('#total_despacho').text(total_despacho);
                $('#total_final').text(formatoNumerico(parseInt(total_final),'$')+'.-');
            }
        });
    });
    function formatoNumerico(num,prefix){
        prefix = prefix || '';
        num += '';
        var splitStr = num.split('.');
        var splitLeft = splitStr[0];
        var splitRight = splitStr.length > 1 ? ',' + splitStr[1] : '';
        var regx = /(\d+)(\d{3})/;
        while (regx.test(splitLeft)) {
            splitLeft = splitLeft.replace(regx, '$1' + '.' + '$2');
        }
        return prefix + splitLeft + splitRight;
    }
    </script>  

</body>
</html>