<?php
include('../../configuracion.php'); 
include_once ('class.upload.php');  

if (!isset($_SESSION['administrador_mago_id'])){	
	 header('Location:'.MAGO.'/index.php');
	 exit;
	 }	

if (($_SESSION['administrador_mago_nivel']!='1' ) ){	
	 header('Location:'.MAGO.'/inicio.php');
	 exit;
	 }

///////////////////////////////////////////////////////

$id = isset($_GET['id']) ? $_GET['id'] : NULL;
$datos = $db->row('categorias','*',"id='$id'");

$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$titulo = isset($_POST['titulo']) ? $_POST['titulo'] : NULL;
$texto = isset($_POST['texto']) ? $_POST['texto'] : NULL;
$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;

$nombre = funcion::LimpiaComillaSimple($nombre);
$titulo = funcion::LimpiaComillaSimple($titulo);
$texto = funcion::LimpiaComillaSimple($texto);

$editor = $_SESSION['administrador_mago_id'];
$fecha_edicion = date('Y-m-d H:i:s');

		$datos_edicion = array(
			'nombre'			=> $db->string($nombre),
			'titulo'			=> $db->string($titulo),
			'texto'				=> $db->string($texto),
			'editor'			=> @$editor+0,
			'fecha_edicion'		=> $db->string($fecha_edicion)
		);

		if ($db->update('categorias',$datos_edicion,"id='{$id}'")==1) {
			$mensaje_respuesta = 'La categoria fue editada de forma correcta.';
			$url_respuesta = 'categorias.php';
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo editar la categoria';
			$url_respuesta = 'categoria_editar.php?id='.$id;
		}

		// Creamos el Slug
		$slug = funcion::slug($nombre);

		// Subimos a la base de datos
		$datos_slug = array(
			'slug'		=> $db->string($slug)
		);		
		$db->update('categorias',$datos_slug,"id='{$id}'");

		// ======PROCESAMOS IMAGEN 1 =======
		// ========================================
		
		// Incluimos la clase Upload
		include_once 'class.upload.php';
		
		$imagen = new upload($_FILES['imagen_nueva']);
		
		// Comprobamos si se subió la imagen
		  if ($imagen->uploaded) {

		// Borramos las imágenes anteriores
		@unlink('../../imagenes/categorias/'.$datos->imagen);
		@unlink('../../imagenes/categorias/'.$datos->miniatura);
		@unlink('../../imagenes/categorias/'.$datos->recorte);
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $slug;
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 400;
			  $imagen->image_y					= 300;
			  
			  $imagen->process('../../imagenes/categorias/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('categorias',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->file_new_name_body		= $slug.'-min';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_fill			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 400; /* Ancho */
			  $imagen->image_y					= 300; /* Alto */
			  
			  $imagen->process('../../imagenes/categorias/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'miniatura'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('categorias',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $slug.'-rec';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 400; /* Ancho */
			  $imagen->image_y					= 300; /* Alto */
			  
			  $imagen->process('../../imagenes/categorias/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'recorte'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('categorias',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
				
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======
		
echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>