<?php
include('../../configuracion.php');   

if (!isset($_SESSION['administrador_mago_id'])){	
	 header('Location:'.MAGO.'/index.php');
	 exit;
	 }	

if (($_SESSION['administrador_mago_nivel']!='1' ) ){	
	 header('Location:'.MAGO.'/inicio.php');
	 exit;
	 }

///////////////////////////////////////////////////////

$id = isset($_GET['id']) ? $_GET['id'] : NULL;
$datos = $db->row('noticias','*',"id='$id'");
 	 
$categoria = isset($_POST['titulo']) ? $_POST['categoria'] : NULL;
$titulo = isset($_POST['titulo']) ? $_POST['titulo'] : NULL;
$texto = isset($_POST['texto']) ? $_POST['texto'] : NULL;
$titulo_en = isset($_POST['titulo_en']) ? $_POST['titulo_en'] : NULL;
$texto_en = isset($_POST['texto_en']) ? $_POST['texto_en'] : NULL;
$anno = isset($_POST['anno']) ? $_POST['anno'] : NULL;
$mes = isset($_POST['mes']) ? $_POST['mes'] : NULL;
$dia = isset($_POST['dia']) ? $_POST['dia'] : NULL;
$fecha = $anno.'-'.$mes.'-'.$dia;
$url_video = isset($_POST['url_video']) ? $_POST['url_video'] : NULL;
$destacado = isset($_POST['destacado']) ? $_POST['destacado'] : NULL;
$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;

$titulo = funcion::LimpiaComillaSimple($titulo);
$texto = funcion::LimpiaComillaSimple($texto);
$titulo_en = funcion::LimpiaComillaSimple($titulo_en);
$texto_en = funcion::LimpiaComillaSimple($texto_en);

// ============================
	if (!empty($url_video)){
		include('video_plugin.php');
		$info_video = $video->info($url_video);
		$id_video = $info_video['video_id'];
		$host_video = $info_video['video_type'];
	}
// ============================

$editor = $_SESSION['administrador_mago_id'];
$fecha_edicion = date('Y-m-d H:i:s');

		$datos_edicion = array(
			'fecha'				=> $db->string($fecha),
			'titulo'			=> $db->string($titulo),
			'texto'				=> $db->string($texto,html),
			'titulo_en'			=> $db->string($titulo_en),
			'texto_en'			=> $db->string($texto_en,html),
			'url_video'			=> $db->string($url_video),
			'id_video'			=> $db->string($id_video),
			'host_video'		=> $db->string($host_video),
			'destacada'			=> @$destacada+0,
			'estado'			=> @$estado+0,
			'editor'			=> @$editor+0,
			'fecha_edicion'		=> $db->string($fecha_edicion)
		);

		if ($db->update('noticias',$datos_edicion,"id='{$id}'")==1) {
			$mensaje_respuesta = 'La noticia fue editada de forma correcta.';
			$url_respuesta = 'noticias.php';
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo editar la noticia';
			$url_respuesta = 'noticia_editar.php?id='.$id;
		}

	if($datos->titulo!=$titulo) {
		// Creamos el Slug
		$slug = funcion::slug($titulo);

		// Verificamos que no se repita el slug
		$validar_slug = $db->results('noticias','id',"slug='{$slug}'");
		if(count($validar_slug)){
			$slug = $slug.'-'.$id;
		}

		// Subimos a la base de datos
		$datos_orden = array(
			'slug'		=> $db->string($slug)
		);		
		$db->update('noticias',$datos_orden,"id='$id'");
	}

		// ======PROCESAMOS IMAGEN 1 =======
		// ========================================
		
		// Incluimos la clase Upload
		include_once 'class.upload.php';
		
		$imagen = new upload($_FILES['imagen_nueva']);
		
		// Comprobamos si se subió la imagen
		  if ($imagen->uploaded) {

		// Borramos las imágenes anteriores
		@unlink('../../imagenes/noticias/'.$datos->imagen);
		@unlink('../../imagenes/noticias/'.$datos->miniatura);
		@unlink('../../imagenes/noticias/'.$datos->recorte);
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $slug;
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_ratio_y			= true;
			  $imagen->image_x					= 800;
			  
			  $imagen->process('../../imagenes/noticias/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('noticias',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->file_new_name_body		= $slug.'-min';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_fill			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 800; /* Ancho */
			  $imagen->image_y					= 800; /* Alto */
			  
			  $imagen->process('../../imagenes/noticias/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'miniatura'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('noticias',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $slug.'-rec';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 500; /* Ancho */
			  $imagen->image_y					= 500; /* Alto */
			  
			  $imagen->process('../../imagenes/noticias/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'recorte'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('noticias',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
				
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======
		
echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>