<?php
include('../../configuracion.php'); 
include_once ('class.upload.php');  

if (!isset($_SESSION['administrador_mago_id'])){	
	 header('Location:'.MAGO.'/index.php');
	 exit;
	 }	

if (($_SESSION['administrador_mago_nivel']!='1' ) ){	
	 header('Location:'.MAGO.'/inicio.php');
	 exit;
	 }

///////////////////////////////////////////////////////

$categoria = isset($_POST['categoria']) ? $_POST['categoria'] : NULL;
$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;

$nombre = funcion::LimpiaComillaSimple($nombre);

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'categoria'			=> @$categoria+0,
			'nombre'			=> $db->string($nombre),
			'estado'			=> @$estado+0,
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha_ingreso),
			'fecha_edicion'		=> $db->string($fecha_ingreso)
		);

		$db->insert('subcategorias',$datos);
		$id = $db->UltimoId('subcategorias');

		if (!empty($id)) {
			$mensaje_respuesta = 'La subcategoria fue agregada de forma correcta.';
			$url_respuesta = 'subcategorias.php';
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar la subcategoria.';
			$url_respuesta = 'subcategorias.php';
		}

		// Creamos el Slug
		$slug = funcion::slug($titulo);

		// Verificamos que no se repita el slug
		$validar_slug = $db->results('subcategorias','id',"slug='{$slug}'");
		if(count($validar_slug)){
			$slug = $slug.'-'.$id;
		}

		// Subimos a la base de datos
		$datos_orden = array(
			'orden'		=> @$id+0,
			'slug'		=> $db->string($slug)
		);		
		$db->update('subcategorias',$datos_orden,"id='$id'");

		// ======PROCESAMOS IMAGEN 1 =======
		// ========================================
		
		// Incluimos la clase Upload
		include_once 'class.upload.php';
		
		$imagen = new upload($_FILES['imagen_nueva']);
		
		// Comprobamos si se subió la imagen
		  if ($imagen->uploaded) {

		// Borramos las imágenes anteriores
		@unlink('../../imagenes/subcategorias/'.$datos->imagen);
		@unlink('../../imagenes/subcategorias/'.$datos->miniatura);
		@unlink('../../imagenes/subcategorias/'.$datos->recorte);
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id;
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_ratio_y			= true;
			  $imagen->image_x					= 800;
			  
			  $imagen->process('../../imagenes/subcategorias/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('subcategorias',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->file_new_name_body		= $id.'-min';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_fill			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 600; /* Ancho */
			  $imagen->image_y					= 600; /* Alto */
			  
			  $imagen->process('../../imagenes/subcategorias/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'miniatura'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('subcategorias',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
			  $imagen->image_convert			= 'jpg';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id.'-rec';
			  $imagen->file_new_name_ext		= 'jpg';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '#FFFFFF';
			  $imagen->image_x					= 500; /* Ancho */
			  $imagen->image_y					= 500; /* Alto */
			  
			  $imagen->process('../../imagenes/subcategorias/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'recorte'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update('subcategorias',$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
				
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======

echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>