<?php
include('configuracion.php');
// Filtramos la llegada por URL semántica
$slug = isset($_GET['slug']) ? $_GET['slug'] : NULL;
$datos = $db->row('noticias','*',"slug='$slug'");
if(!count($datos)){ 
  header("Location:".WEB); 
  exit;
}
// Actualizamos la Página Actual
$_SESSION['pagina_actual'] = 'http://'.$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];

$pag_actual='noticias';
?>
<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title><?php echo $datos->titulo ?> - <?php echo TITLE ?></title>
    <base href = "http://<?php echo $_SERVER['SERVER_NAME'] ?><?php echo $_SERVER['PHP_SELF'] ?>" target="_top" />
    <meta name="author" content="">
    <!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    
    <!-- Favicons -->
    <link rel="shortcut icon" href="favicon/favicon.ico" />
    <link rel="apple-touch-icon" sizes="57x57" href="favicon/apple-touch-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="favicon/apple-touch-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="favicon/apple-touch-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="favicon/apple-touch-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="favicon/apple-touch-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="favicon/apple-touch-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="favicon/apple-touch-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="favicon/apple-touch-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="favicon/apple-touch-icon-180x180.png">
    <link rel="icon" type="image/png" href="favicon/favicon-32x32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="favicon/favicon-194x194.png" sizes="194x194">
    <link rel="icon" type="image/png" href="favicon/favicon-96x96.png" sizes="96x96">
    <link rel="icon" type="image/png" href="favicon/android-chrome-192x192.png" sizes="192x192">
    <link rel="icon" type="image/png" href="favicon/favicon-16x16.png" sizes="16x16">
    <link rel="manifest" href="favicon/manifest.json">
    <meta name="msapplication-TileColor" content="#000000">
    <meta name="msapplication-TileImage" content="favicon/mstile-144x144.png">
    <meta name="theme-color" content="#ffffff">
    
    <!-- CSS -->
    <link rel="stylesheet" href="css/estilo.css">
    <link rel="stylesheet" href="css/grid.css">
    <link href="css/style.css" rel="stylesheet" type="text/css" />
    
    <!-- Jquery -->
	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
    
    <!-- respondive -->
    <link rel="stylesheet" href="css/style.css">
    <script src="js/modernizr.js"></script>
    <script src="js/jquery.menu-aim.js"></script>
    <script src="js/main.js"></script>
    
    <!-- Menu -->
    <link href="css/estilo-menu.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="fancybox/jquery.fancybox.css?v=2.1.5" type="text/css" />
    <script src="fancybox/jquery.fancybox.pack.js?v=2.1.5"></script>
    <script>
    $(document).ready(function() {
        $.getJSON('http://mindicador.cl/api', function(data) {
        var dailyIndicators = data;
        $('#euro').text("$ "+dailyIndicators.euro.valor);
    }).fail(function() {
        console.log('Error al consumir la API!');
    });
        $('.abrir_evento').fancybox({
            fitToView	: false,
            maxHeight	: 600,
            width		: '1200px',
            height		: '600px',
            autoSize	: false,
            closeClick	: true,
            openEffect	: 'none',
            closeEffect	: 'none'
        });
    
            $(".fancybox").fancybox({
                    'transitionOut'	: 'elastic',
                        'width'				: '65%',
                        'height'			: '65%',
            });
            $(".fancybox").click();
    
    });
    </script>
    
    <link rel="stylesheet" href="font/css/fontello.css">
    <link rel="stylesheet" href="font/css/animation.css"><!--[if IE 7]><link rel="stylesheet" href="css/fontello-ie7.css"><![endif]-->
    <script>
      function toggleCodes(on) {
        var obj = document.getElementById('icons');
        
        if (on) {
          obj.className += ' codesOn';
        } else {
          obj.className = obj.className.replace(' codesOn', '');
        }
      }
      
    </script>
    
    <!-- Nivo -->
    <link href="css/nivo-slider.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="css/themes/default/default.css" type="text/css" />
    <script type="text/javascript" src="js/jquery.nivo.slider.pack.js"></script>

    <script type="text/javascript">
    $(window).load(function() {
        $('#slider').nivoSlider({
	        effect: 'fade',
        });
    });

    </script>
    <!-- Nivo -->
    
</head>

<body>
	
    <!-- Go to www.addthis.com/dashboard to customize your tools -->
	<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-5571a0cf3fed3246" async="async"></script>

	<?php include("inc/inc-head.php"); ?>
    <!-- fin header -->
    
    <div class="w-100 orange f-l">
    	<div class="cont-1200 f-c">
            <div class="big-title">
                <h3>Noticias</h3>
            </div>
        </div>
    </div>
    
    <section class="container">
    
    	<div class="espacio-20 f-l"></div>
        
    	<div class="cont-1200 f-c">
        	
            <div class="col-6 f-l m-1">
            	<div class="info-prod">
                	<h5><?php echo $datos->titulo ?></h5>
                    <div class="horizontal-line"></div>
                    <div class="espacio-20 f-l"></div>
                    <?php echo $datos->texto ?>


                            <!-- VIDEO -->
                            <?php
                            if (!empty($datos->id_video)){
                                include('video_plugin.php');
                                ?>
                                <div class="alt-30 f-l"></div>
                                <?php
                                if($datos->host_video=='vimeo'){ 
                                    $url_video = 'http://vimeo.com/'.$datos->id_video;
                                    echo $video->embed($url_video, '100%', '500');
                                }

                                if($datos->host_video=='youtube'){ 
                                    $url_video = 'http://www.youtube.com/watch?v='.$datos->id_video;
                                    echo $video->embed($url_video, '100%', '500');
                                }
                                ?>
                            <?php }?>
                            <!-- FIN VIDEO -->                            
                            <div class="alt-30 f-l"></div>
                            
                            <p><a href="<?php echo WEB ?>noticias" class="link"><i class="icon-angle-left"></i>Volver a noticias</a></p>
                            
                </div>
            </div>
            <div class="col-6 f-l m-1">
                <?php if(!empty($datos->imagen)) { ?>
                <img src="<?php echo WEB ?>imagenes/noticias/<?php echo $datos->imagen ?>" width="100%" alt="<?php echo $datos->titulo ?>">
                <?php } ?>
            </div>
            
    	</div>
    </section>
    
    <?php include("inc/inc-foot.php"); ?>
    <!-- fin footer -->
    
</body>
</html>